## bind9 9.10.6+dfsg

=== debian/changelog ===
bind9 (1:9.10.6+dfsg-5) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #828012)

  [ Micah Cowan ]
  * Try not to be fragile to varying value of LIBS make var. (Closes: #833307)

  [ Ondřej Surý ]
  * Update the softhsm2.so non-MA path (Closes: #860722)
  * Enable JSON output in the statistics channel (Closes: #860722)
  * Merge NMUs' changelogs (Closes: #880077)
  * Use /dev/urandom to avoid blocking in the server process. (Closes: #854243)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 02 Nov 2017 10:31:01 +0000

bind9 (1:9.10.6+dfsg-4) unstable; urgency=medium

  [ Michael Biebl ]
  * Improve bind9-resolvconf.service (Closes: #826353)

  [ Ondřej Surý ]
  * Add insserv.conf.d configuration (Closes: #650538)
  * Change bind9-resolvconf.server to Type=oneshot + RemainAfterExit=yes (Closes: #832040)
  * Only add static and development symlinks for *-export.{a,so} libraries (Closes: #857522)
  * Update Vcs-* fields to standard variants
  * Rebuild with newer debhelper (Closes: #879542)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2017 07:02:50 +0000

bind9 (1:9.10.6+dfsg-3) unstable; urgency=medium

  * Make lwresd hard depend on bind9 package (Closes: #879127)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 22 Oct 2017 11:08:20 +0000

bind9 (1:9.10.6+dfsg-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * d/copyright: Add Bv9ARM.pdf to Files-Excluded.

  [ Ondřej Surý ]
  * Replace lwresd with symlink instead of hard copy (Closes: #868538)
  * Fix the symbols file to compensate for missing bsdcompat symbol on kFreeBSD (Closes: #879017)
  * Re-enable threading support on kFreeBSD (Closes: #879018)
  * Drop Multi-Arch: same header from libbind-dev (Closes: #874232)
  * Remove transitional host package (Closes: #645437, #878228)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Oct 2017 09:35:03 +0000

bind9 (1:9.10.6+dfsg-1) unstable; urgency=medium

  * New upstream version 9.10.6+dfsg
  * Use OpenSSL 1.1.0 for crypto
  * Add support for downloading upstream sources using d/watch
    + Make d/copyright machine readable for Files-Excluded: support
    + Update Files-Exclude: * to remove obsolete software dropped in
      contrib/, but not really used
  * Add initial README.source
  * Limit the d/watch to 9.10.x (aka stable) for now
  * Update patches for BIND 9.10.6 release
  * Update PKCS11 patch
  * Move under pkg-dns umbrella
  * Reformat files in debian/ with wrap-and-sort -a for better maintainability
  * Update the d/export.diff for BIND 9.10.6
  * Remove FAQ from d/bind9.docs
  * Bump SONAME versions for BIND libraries
  * Add symbols files for libraries and enable strict symbol checks
  * arpaname and named-rrchecker has been moved to /usr/bin
  * Install required python library into bind9utils to accompany
    dnssec-checkds and dnssec-coverage
  * Change Vcs-* to pkg-dns/bind9
  * Also exclude idnkit from upstream tarball
  * Finish the debian/copyright update into machine readable format
  * Enable Multi-Arch on libirs-export189
  * Cleanup maintainer scripts
  * Add lintian override for false positive on full-path command
  * Remove unnecessary complexity when generating ${Description} to d/control

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Oct 2017 06:18:21 +0000

bind9 (1:9.10.3.dfsg.P4-12.3+deb9u3) stretch; urgency=medium

  [ Bernhard Schmidt ]
  * Import upcoming DNSSEC KSK-2017 from 9.10.5

  [ Ondřej Surý ]
  * Non-maintainer upload.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Aug 2017 09:36:28 +0200

bind9 (1:9.10.3.dfsg.P4-12.3+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - CVE-2017-3142_regression added, fix a regression introduced in with the
    correction for CVE-2017-3142.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 22 Jul 2017 21:24:54 +0200

bind9 (1:9.10.3.dfsg.P4-12.3+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - debian/patches/CVE-2017-3142+CVE-2017-3143 added, fix TSIG bypasses
      CVE-2017-3142: error in TSIG authentication can permit unauthorized zone
      transfers. An attacker may be able to circumvent TSIG authentication of
      AXFR and Notify requests.
      CVE-2017-3143: error in TSIG authentication can permit unauthorized
      dynamic updates. An attacker may be able to forge a valid TSIG or SIG(0)
      signature for a dynamic update.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 30 Jun 2017 16:20:29 +0200

bind9 (1:9.10.3.dfsg.P4-12.3) unstable; urgency=high

  * Non-maintainer upload.
  * Dns64 with "break-dnssec yes;" can result in a assertion failure
    (CVE-2017-3136) (Closes: #860224)
  * Some chaining (CNAME or DNAME) responses to upstream queries could trigger
    assertion failures (CVE-2017-3137) (Closes: #860225)
  * 'rndc ""' could trigger a assertion failure in named (CVE-2017-3138)
    (Closes: #860226)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 May 2017 15:22:46 +0200

bind9 (1:9.10.3.dfsg.P4-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace 32_mips_atomic.diff with a version that uses C11 atomics. Fixes
    hangs and crashes on MIPS. (Closes: #778720)

 -- James Cowgill <jcowgill@debian.org>  Tue, 18 Apr 2017 16:42:50 +0100

bind9 (1:9.10.3.dfsg.P4-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use /dev/urandom to avoid blocking in the server process.
    (closes: #854243)

 -- Bastian Blank <waldi@debian.org>  Fri, 17 Mar 2017 19:07:16 +0100

bind9 (1:9.10.3.dfsg.P4-12) unstable; urgency=high

  * Merge and accept the non-maintainer upload.
  * Fix regression caused by the fix for CVE-2016-8864 (closes: #855540).
  * Fix CVE-2017-3135: a malicously crafted query can cause named to crash if
    both DNS64 and RPZ are being used (closes: #855520).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Feb 2017 22:39:32 +0000

bind9 (1:9.10.3.dfsg.P4-11.1) unstable; urgency=medium


