=== debian/watch ===
version=3

opts=\
repack,\
compression=xz,\
repacksuffix=+dfsg,\
uversionmangle=s/((rc|b)\d+)$/~$1/,\
dirversionmangle=s/((rc|b)\d+)$/~$1/,\
dversionmangle=s/\.dfsg\./-/;s/[\.\+]dfsg$//,\
pgpsigurlmangle=s/$/.asc/ \
  https://ftp.isc.org/isc/bind9/(9\.10\.\d\S+)/ bind-@ANY_VERSION@\.tar\.gz
