## bind9 9.11.3%2Bdfsg

=== debian/changelog ===
bind9 (1:9.11.3+dfsg-1ubuntu1.18) bionic-security; urgency=medium

  * SECURITY UPDATE: Processing large delegations may severely degrade
    resolver performance
    - debian/patches/CVE-2022-2795.patch: add limit to lib/dns/resolver.c.
    - CVE-2022-2795
  * SECURITY UPDATE: memory leak in ECDSA DNSSEC verification code
    - debian/patches/CVE-2022-38177.patch: fix return handling in
      lib/dns/opensslecdsa_link.c.
    - CVE-2022-38177
  * SECURITY UPDATE: memory leaks in EdDSA DNSSEC verification code
    - debian/patches/CVE-2022-38178.patch: fix return handling in
      lib/dns/openssleddsa_link.c.
    - CVE-2022-38178

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Sep 2022 08:11:06 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.17) bionic-security; urgency=medium

  * SECURITY UPDATE: cache poisoning via bogus NS records
    - debian/patches/CVE-2021-25220.patch: tighten rules for acceptance of
      records into the cache in lib/dns/resolver.c.
    - CVE-2021-25220

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Mar 2022 10:14:01 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.16) bionic-security; urgency=medium

  * SECURITY UPDATE: resolver performance degradation via lame cache abuse
    - debian/patches/CVE-2021-25219.patch: disable lame cache in
      bin/named/config.c, bin/named/server.c, lib/dns/resolver.c.
    - CVE-2021-25219

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Oct 2021 07:02:44 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.15) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via broken inbound incremental zone update (IXFR)
    - debian/patches/CVE-2021-25214.patch: immediately reject the entire
      transfer for certain RR in lib/dns/xfrin.c.
    - CVE-2021-25214
  * SECURITY UPDATE: assert via answering certain queries for DNAME records
    - debian/patches/CVE-2021-25215.patch: fix assert checks in
      lib/ns/query.c.
    - CVE-2021-25215
  * SECURITY UPDATE: overflow in BIND's GSSAPI security policy negotiation
    - debian/rules: build with --disable-isc-spnego to disable internal
      SPNEGO and use the one from the kerberos libraries.
    - debian/libdns1100.symbols: removed internal SPNEGO symbols.
    - CVE-2021-25216

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Apr 2021 07:16:20 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.14) bionic-security; urgency=medium

  * SECURITY UPDATE: off-by-one bug in ISC SPNEGO implementation
    - debian/patches/CVE-2020-8625.patch: properly calculate length in
      lib/dns/spnego.c.
    - CVE-2020-8625

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Feb 2021 08:08:25 -0500

bind9 (1:9.11.3+dfsg-1ubuntu1.13) bionic-security; urgency=medium

  * SECURITY UPDATE: A truncated TSIG response can lead to an assertion
    failure
    - debian/patches/CVE-2020-8622.patch: move code in lib/dns/message.c.
    - CVE-2020-8622
  * SECURITY UPDATE: A flaw in native PKCS#11 code can lead to a remotely
    triggerable assertion failure
    - debian/patches/CVE-2020-8623.patch: add extra checks in
      lib/dns/pkcs11dh_link.c, lib/dns/pkcs11dsa_link.c,
      lib/dns/pkcs11rsa_link.c, lib/isc/include/pk11/internal.h,
      lib/isc/pk11.c.
    - CVE-2020-8623
  * SECURITY UPDATE: update-policy rules of type subdomain were enforced
    incorrectly
    - debian/patches/CVE-2020-8624.patch: add extra check in
      bin/named/zoneconf.c.
    - CVE-2020-8624

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Aug 2020 08:08:32 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.12) bionic-security; urgency=medium

  * SECURITY UPDATE: BIND does not sufficiently limit the number of fetches
    performed when processing referrals
    - debian/patches/CVE-2020-8616.patch: further limit the number of
      queries that can be triggered from a request in lib/dns/adb.c,
      lib/dns/include/dns/adb.h, lib/dns/resolver.c.
    - CVE-2020-8616
  * SECURITY UPDATE: A logic error in code which checks TSIG validity can
    be used to trigger an assertion failure in tsig.c
    - debian/patches/CVE-2020-8617.patch: don't allow replaying a TSIG
      BADTIME response in lib/dns/tsig.c.
    - CVE-2020-8617

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 May 2020 08:17:59 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.11) bionic-security; urgency=medium

  * SECURITY UPDATE: TCP Pipelining doesn't limit TCP clients on a single
    connection
    - debian/patches/CVE-2019-6477.patch: limit number of clients in
      bin/named/client.c, bin/named/include/named/client.h.
    - CVE-2019-6477

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Nov 2019 10:01:47 -0500

bind9 (1:9.11.3+dfsg-1ubuntu1.10) bionic; urgency=medium

  * d/p/fix-socket-failures-during-name-resolution.patch: fix socket failures
    due to uninitialized memory during name resolution (LP: #1804542)

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Mon, 30 Sep 2019 15:39:12 -0300

bind9 (1:9.11.3+dfsg-1ubuntu1.9) bionic; urgency=medium

  * d/p/fix-shutdown-race.diff: dig/host/nslookup could crash when interrupted
    close to a query timeout (LP: #1797926)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 07 Aug 2019 16:43:40 +0200

bind9 (1:9.11.3+dfsg-1ubuntu1.8) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via malformed packets
    - debian/patches/CVE-2019-6471.patch: fix race condition in
      lib/dns/dispatch.c.
    - CVE-2019-6471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2019 18:55:08 -0400

bind9 (1:9.11.3+dfsg-1ubuntu1.7) bionic-security; urgency=medium

  * SECURITY UPDATE: limiting simultaneous TCP clients is ineffective
    - debian/patches/CVE-2018-5743.patch: add reference counting in
      bin/named/client.c, bin/named/include/named/client.h,
      bin/named/include/named/interfacemgr.h, bin/named/interfacemgr.c,
      lib/isc/include/isc/quota.h, lib/isc/quota.c,
      lib/isc/win32/libisc.def.in.

